Bug 1267388 - SELinux is preventing gdbus from 'read' accesses on the file /home/pawel/.local/share/icc/edid-a6a24956cc6d2126b43415f0925a7110.icc.
SELinux is preventing gdbus from 'read' accesses on the file /home/pawel/.loc...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:48e53508c1185c43be4be978b5c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 17:45 EDT by lejeczek
Modified: 2016-04-13 15:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-30 03:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2015-09-29 17:45:16 EDT
Description of problem:
I'm not sure but as it is Beta I thought I'd report it.
SELinux is preventing gdbus from 'read' accesses on the file /home/pawel/.local/share/icc/edid-a6a24956cc6d2126b43415f0925a7110.icc.

*****  Plugin restorecon (99.5 confidence) suggests   ************************

If you want to fix the label. 
/home/pawel/.local/share/icc/edid-a6a24956cc6d2126b43415f0925a7110.icc default label should be icc_data_home_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /home/pawel/.local/share/icc/edid-a6a24956cc6d2126b43415f0925a7110.icc

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that gdbus should be allowed read access on the edid-a6a24956cc6d2126b43415f0925a7110.icc file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gdbus /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:colord_t:s0
Target Context                unconfined_u:object_r:home_root_t:s0
Target Objects                /home/pawel/.local/share/icc/edid-
                              a6a24956cc6d2126b43415f0925a7110.icc [ file ]
Source                        gdbus
Source Path                   gdbus
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-147.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.1-300.fc23.x86_64 #1 SMP Mon
                              Sep 21 22:13:13 UTC 2015 x86_64 x86_64
Alert Count                   6
First Seen                    2015-09-29 21:04:07 BST
Last Seen                     2015-09-29 21:42:37 BST
Local ID                      91d85ab9-b2e0-4a48-ae29-d528c796dfdf

Raw Audit Messages
type=AVC msg=audit(1443562957.824:550): avc:  denied  { read } for  pid=1888 comm="gdbus" path="/home/pawel/.local/share/icc/edid-a6a24956cc6d2126b43415f0925a7110.icc" dev="dm-3" ino=1049820 scontext=system_u:system_r:colord_t:s0 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=file permissive=0


Hash: gdbus,colord_t,home_root_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-147.fc23.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.1-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 882343
Comment 1 Lukas Vrabec 2015-09-30 03:14:48 EDT
Hi, 

Please, use:
# restorecon -R -v /home

This should fix your issue.

Note You need to log in before you can comment on or make changes to this bug.